[android-components](../../index.md) / [mozilla.components.service.fretboard](../index.md) / [ValuesProvider](index.md) / [getDevice](./get-device.md)

# getDevice

`open fun getDevice(context: <ERROR CLASS>): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/ValuesProvider.kt#L71)

Provides the device model

**Return**
device model

